/*******************************************************************************
 * Copyright (c) 2008 Etish Limited.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Authors:
 *     Joel Rosi-Schwartz (Etish Limited, UK) <http://www.etish.org/>
 *******************************************************************************/
package org.eclipse.ormf.server.base.services.domain;

/**
 * @author joel
 * 
 */
public interface DomainFactoryService {

	public ControlDoc createControlDoc(String name, Short projectId, String xml);

	public LovValue createLovValue(Short item, String code, String language,
			String variant, Short projectId, Short sortOrder, String value);

	public ProjectRegistration createProjectRegistration(Short projectId,
			Boolean projectAdmin, User user);

	public Relationship createRelationship(Long consumerDocId,
			Short consumerDocType, Short consumerProjectId, Long providerDocId,
			Short providerDocType, Short providerElementId,
			Short providerProjectId, Boolean providerRdbms, Short stereotype);

	public ReqDoc createReqDoc(Short projectId, Short type, String xml);

	public UsemeSession createUsemeSession(String hostId, User user);

	public User createUser(String uid, String password, String name,
			String email, Boolean sysAdmin);
}
